---

themes:
  name: neon2
  dark:
    colors:
      background: 0x281831
      header: 0x281831
      userBubble: 0x7F00C5
      peerBubble: 0x422850
      font: 0xFBF3FF
      settings: 0x281831
      accent: 0x90EE02
      reaction: 0xD891FF
    theme:
      hilightElementColor: font
      backgroundMainColor: background  # darkGreyPurple
      backgroundPaneColor: header  # darkGreyPurple
      defaultButtonColor: accent  # hotPink
      mainTextColor: font  # whiteishPurple
      messageFromMeBackgroundColor: userBubble  # mauvePurple
      messageFromMeTextColor: font  # whiteishPurple
      messageFromOtherBackgroundColor: peerBubble  # deepPurple
      messageFromOtherTextColor: font  # whiteishPurple
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: 0x281831
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: 0x281831
      scrollbarDefaultColor: accent
      textfieldHintColor: mainTextColor
      toolbarIconColor: settings  # whiteishPurple
      toolbarBackgroundColor: accent
      topbarColor: header  # darkGreyPurple
      sendHintTextColor: userBubble
      chatReactionIconColor: reaction
      defaultButtonTextColor: background
      chatImage: Neon2.png
      chatImageColor: 0x573569
      snackbarBackgroundColor: accent
      snackbarTextColor: background
      messageSelectionColor: 0x775F84
      textfieldSelectionColor: 0x775F84
      menuBackgroundColor: 0x775F84
  light:
    colors:
      paleGreen: 0xE7F6F6
      background: 0xFBFFF6
      header: 0x90EE02
      userBubble: 0x90EE02
      peerBubble: 0xF3FFE4
      font: 0x281831
      settings: 0x281831
      accent: 0x7F00C5
      reaction: 0x7F00C5
    theme:
      hilightElementColor: font
      backgroundHilightElementColor: peerBubble
      backgroundMainColor: background  # whitePurple
      backgroundPaneColor: background  # whitePurple
      defaultButtonColor: accent  # hotPink
      dropShadowColor: userBubble
      mainTextColor: settings
      messageFromMeBackgroundColor: userBubble  # brightPurple
      messageFromMeTextColor: font  # mainTextColor
      messageFromOtherBackgroundColor: peerBubble  # purple
      messageFromOtherTextColor: font  # darkPurple
      portraitOfflineBorderColor: 0x775F84
      portraitOnlineBorderColor: font
      portraitContactBadgeColor: accent
      portraitContactBadgeTextColor: background
      portraitProfileBadgeColor: accent
      portraitProfileBadgeTextColor: background
      portraitBackgroundColor: background
      scrollbarDefaultColor: accent
      textfieldBackgroundColor: paleGreen
      textfieldBorderColor: peerBubble
      textfieldHintColor: font
      toolbarIconColor: background  # darkPurple
      toolbarBackgroundColor: accent
      topbarColor: header  # softPurple
      chatReactionIconColor: accent
      chatImage: Neon2.png
      chatImageColor: 0xd9ffa8
      snackbarBackgroundColor: accent
      snackbarTextColor: background
      messageSelectionColor: 0xd9ffa8
      textfieldSelectionColor: 0xd9ffa8
      menuBackgroundColor: 0xd9ffa8
